local updatesperre = false;
local wertaenderungssperre = false;

function onInit()
	local feldname = getName();
	local waffenknoten = getDatabaseNode().getParent();
	if feldname == "label" then
		local inventarlink = waffenknoten.getChild("inventarlink");
		if inventarlink then
			local inventarknoten = DB.findNode(inventarlink.getValue());
			if inventarknoten then
				local nameknoten = inventarknoten.getChild("name");
				if nameknoten then
					setzLinkUpdate(nameknoten);
				end
			end
		end
	elseif feldname == "wert" then
		local inventarlink = waffenknoten.getChild("inventarlink");
		if inventarlink then
			local inventarknoten = DB.findNode(inventarlink.getValue());
			if inventarknoten then
				local wertknoten = inventarknoten.getChild("waffenwert");
				if wertknoten then
					setzLinkUpdate(wertknoten);
				end
			end
		end
	elseif feldname == "fertigkeitsname" then
		local fertigkeitslink = waffenknoten.getChild("fertigkeitslink");
		if fertigkeitslink then
			local fertigkeitsknoten = DB.findNode(fertigkeitslink.getValue());
			if fertigkeitsknoten then
				local nameknoten = fertigkeitsknoten.getChild("name");
				if nameknoten then
					setzLinkUpdate(nameknoten);
					setzLinkLoeschung(fertigkeitsknoten);
				end
			end
		end
	elseif feldname == "munitionsanzahl" then
		local munitionslink = waffenknoten.getChild("munitionslink");
		if munitionslink then
			local munitionsknoten = DB.findNode(munitionslink.getValue());
			if munitionsknoten then
				local wertknoten = munitionsknoten.getChild("count");
				if wertknoten then
					setzLinkUpdate(wertknoten);
					setzLinkLoeschung(munitionsknoten);
				end
			end
		end
	elseif feldname == "munitionsname" then
		local munitionslink = waffenknoten.getChild("munitionslink");
		if munitionslink then
			local munitionsknoten = DB.findNode(munitionslink.getValue());
			if munitionsknoten then
				local nameknoten = munitionsknoten.getChild("name");
				if nameknoten then
					setzLinkUpdate(nameknoten);
				end
			end
		end
	end
end

function onDragStart(button, x, y, draginfo)
	if getName() == "wert" then
		return window.onDragStart(button, x, y, draginfo);
	end
end

function onDoubleClick(x, y)
	if getName() == "wert" then
		return window.onDoubleClick(x, y);
	end
	return false;
end

function onGainFocus()
	window.setFrame("rowshade");
end

function onLoseFocus()
	window.setFrame(nil);
end

function onLinkUpdate(inventarknoten)
	if updatesperre == false then
		wertaenderungssperre = true;
		local feldname = getName();
		local waffenknoten = getDatabaseNode();
		setValue(inventarknoten.getValue());
	else
		updatesperre = false;
	end
end

function onValueChanged()
	if wertaenderungssperre == false then
		local feldname = getName();
		local waffenknoten = getDatabaseNode().getParent();
		if feldname == "label" then
			local inventarlink = waffenknoten.getChild("inventarlink");
			if inventarlink then
				local inventarknoten = DB.findNode(inventarlink.getValue());
				if inventarknoten then
					local nameknoten = inventarknoten.getChild("name");
					if nameknoten then
						updatesperre = true;
						nameknoten.setValue(getValue());
					end
				end
			end
		elseif feldname == "wert" then
			local inventarlink = waffenknoten.getChild("inventarlink");
			if inventarlink then
				local inventarknoten = DB.findNode(inventarlink.getValue());
				if inventarknoten then
					local wertknoten = inventarknoten.getChild("waffenwert");
					if wertknoten then
						updatesperre = true;
						wertknoten.setValue(getValue());
					end
				end
			end
		elseif feldname == "munitionsanzahl" then
			local munitionslink = waffenknoten.getChild("munitionslink");
			if munitionslink then
				local munitionsknoten = DB.findNode(munitionslink.getValue());
				if munitionsknoten then
					local wertknoten = munitionsknoten.getChild("count");
					if wertknoten then
						updatesperre = true;
						wertknoten.setValue(getValue());
					end
				end
			end
		end
	else
		wertaenderungssperre = false;
	end
end

function onLinkLoeschung(linkknoten)
	local linkknotenname = linkknoten.getNodeName();
	local waffenknoten = self.getDatabaseNode().getParent();
	local feldname = getName();
	if feldname == "fertigkeitsname" then
		local gespeicherterlinkname = waffenknoten.getChild("fertigkeitslink").getValue();
		if gespeicherterlinkname == linkknotenname then
			waffenknoten.getChild("fertigkeitslink").setValue("");
			waffenknoten.getChild("fertigkeitsname").setValue("");
		end
	elseif feldname == "munitionsanzahl" then
		local gespeicherterlinkname = waffenknoten.getChild("munitionslink").getValue();
		if gespeicherterlinkname == linkknotenname then
			waffenknoten.getChild("munitionslink").setValue("");
			waffenknoten.getChild("munitionsname").setValue("");
			waffenknoten.getChild("munitionsanzahl").setValue(0);
		end
	end
end

function setzWert(wert)
	wertaenderungssperre = true;
	setValue(wert);
end

function setzLinkUpdate(linkknoten)
	linkknoten.onUpdate = onLinkUpdate;
end

function setzLinkLoeschung(linkknoten)
	linkknoten.onDelete = onLinkLoeschung;
end