-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--
--Lule: Original aus Core-Ruleset, Release 1, Änderungen kommentiert, wenn ganze Funktionen nicht verändert wurden, werden diese per "super" an das Core-Ruleset weitergeleitet.

function onInit()
	super.onInit();
end

function onDeliverMessage(msg, mode)
	if mode == "chat" then
		local bOptPCHT = OptionsManager.isOption("PCHT", "on");
		
		if User.isHost() then
			if bOptPCHT then
				msg.icon = "portrait_gm_token";
			end

			if not msg.sender or (msg.sender == "" or msg.sender == User.getUsername()) then
				gmid, isgm = GmIdentityManager.getCurrent();
				msg.sender = gmid;
				if isgm then
					msg.font = "chatgmfont";
				else
					msg.font = "chatnpcfont";
				end
			else
				msg.font = "chatnpcfont";
			end
		else
			if bOptPCHT then				
				local sCurrentId = User.getCurrentIdentity();
				if sCurrentId then
					msg.icon = "portrait_" .. sCurrentId .. "_chat";
				end
			end
		end
	elseif mode == "emote" then
		local bOptPCHT = OptionsManager.isOption("PCHT", "on");--Lule: eingefügt aus obigem mode = "chat", um auch hier das Portrait anzuzeigen.
		
		if User.isHost() then
			if bOptPCHT then --Lule: eingefügt aus obigem mode = "chat", um auch hier das Portrait anzuzeigen.
				msg.icon = "portrait_gm_token";
			end
			local gmid, isgm = GmIdentityManager.getCurrent();
			if not isgm then
				msg.sender = "";
				msg.text = gmid .. " " .. msg.text;
			end
		else --Lule: eingefügt aus obigem mode = "chat", um auch hier das Portrait anzuzeigen.
			if bOptPCHT then
				local sCurrentId = User.getCurrentIdentity();
				if sCurrentId then
					msg.icon = "portrait_" .. sCurrentId .. "_chat";
				end
			end
		end
	elseif mode == "act" then--Lule: eingefügt aus obigem mode = "chat", um auch hier das Portrait anzuzeigen.
		local bOptPCHT = OptionsManager.isOption("PCHT", "on");
		
		if User.isHost() then
			if bOptPCHT then --Lule: eingefügt aus obigem mode = "chat", um auch hier das Portrait anzuzeigen.
				msg.icon = "portrait_gm_token";
			end
			local gmid, isgm = GmIdentityManager.getCurrent();
			if not isgm then
				msg.sender = "";
				msg.text = gmid .. " " .. msg.text;
			end
		else
			if bOptPCHT then
				local sCurrentId = User.getCurrentIdentity();
				if sCurrentId then
					msg.icon = "portrait_" .. sCurrentId .. "_chat";
				end
			end
		end
	end
	return msg;
end

function onTab()
	super.onTab();
end
