function onInit()
	ActionsManager.registerResultHandler("normProbe", onRoll);
end

function performRoll(draginfo, rActor, sSkillName, nSkillMod, nTargetDC, bSecretRoll)
	local w100 = false;
	local namen = sSkillName;
	if sSkillName then
		for v,k in pairs(DataCommon.w100werte) do
			if v == sSkillName then
				w100 = true;
				namen = DataCommon.w100werte[sSkillName]["chatanzeige"];
			end
		end
	end
	local wuerfeltabelle = {};
	if w100 == true then
		wuerfeltabelle = {"d100", "d10"};
	else
		wuerfeltabelle = {"d10"};
	end
	
	local rRoll = {};
	rRoll.sType = "normProbe";
	rRoll.aDice = wuerfeltabelle;
	rRoll.nMod = nSkillMod or 0;
	rRoll.sDesc = namen;
	
	rRoll.bSecret = bSecretRoll;
	
	rRoll.nTarget = nTargetDC;
	
	ActionsManager.performAction(draginfo, rActor, rRoll);
end

function onRoll(rSource, rTarget, rRoll)
	local rMessage = ChatManager.createBaseMessage(rSource, rRoll.sUser);--bekommt icon, sender, font, text="", secret = false
	rMessage.type = rRoll.sType;
	rMessage.text = rMessage.text .. rRoll.sDesc;
	rMessage.dice = rRoll.aDice;
	rMessage.diemodifier = rRoll.nMod;
	
	-- Check to see if this roll should be secret (GM or dice tower tag)
	if rRoll.bSecret then
		rMessage.secret = true;
		if rRoll.bTower then
			rMessage.icon = "dicetower_icon";
		end
	elseif User.isHost() and OptionsManager.isOption("REVL", "off") then
		rMessage.secret = true;
	end
	
	-- Show total if option enabled
	if OptionsManager.isOption("TOTL", "on") and rRoll.aDice and #(rRoll.aDice) > 0 then
		rMessage.dicedisplay = 1;
	end
	
	Comm.deliverChatMessage(rMessage);
end