function onDragStart(button, x, y, draginfo)
	return wurfAusfuehren(draginfo);
end

function onDoubleClick(x, y)
	local wahr;
	if OptionsManager.getOption("DCLK") ~= "off" then
		wahr = wurfAusfuehren(nil);
	end
	return wahr;
end

function wurfAusfuehren(draginfo)
	if name then
		if name.isEmpty() then
			return nil;
		end
	elseif label then
		if label.isEmpty() then
			return nil;
		end
	else
		return nil;
	end
	local namen;
	if name then
		namen = name.getValue();
	elseif label then
		namen = label.getValue();
	else
		return nil;
	end

	local w100 = false;
	if name then
		for v,k in pairs(DataCommon.w100werte) do
			if k == name.getValue() then
				w100 = true;
			end
		end
	end
	local wuerfeltabelle = {};
	if w100 == true then
		wuerfeltabelle = {"d100", "d10"};
	else
		wuerfeltabelle = {"d10"};
	end
	local modwert;
	if wert then
		modwert = wert.getValue();
	else
		modwert = 0;
	end
	local knoten = getDatabaseNode();
	if knoten.getParent().getName() == "waffen" then
		modwert = 0;
		ModifierStack.addSlot("Waffenwert", wert.getValue());
		if knoten.getChild("fertigkeitslink") then
			local fertigkeitsknoten = DB.findNode(knoten.getChild("fertigkeitslink").getValue());
			if fertigkeitsknoten then
				local name = fertigkeitsknoten.getChild("name").getValue();
				local fertigkeitswert = fertigkeitsknoten.getChild("wert").getValue();
				if name and fertigkeitswert then
					ModifierStack.addSlot(name, fertigkeitswert);
				end
			end
		end
	end
	local rRoll = { sType = "dice", sDesc = namen, aDice = wuerfeltabelle, nMod =  modwert};
	local chardaten = { sType = "pc"};
	if knoten.getParent().getName() == "aktionsfertigkeiten" or knoten.getParent().getName() == "wissensfertigkeiten" or knoten.getParent().getName() == "waffenfertigkeiten" then
		local charknoten = knoten.getParent().getParent().getParent();
		chardaten.sCreatureNode = charknoten.getNodeName();
		chardaten.sName = charknoten.getChild("name").getValue();
	elseif knoten.getParent().getName() == "attribute" or knoten.getParent().getName() == "zusatz" or knoten.getParent().getName() == "waffen" then
		local charknoten = knoten.getParent().getParent();
		chardaten.sCreatureNode = charknoten.getNodeName();
		chardaten.sName = charknoten.getChild("name").getValue();
	end
	
	--ActionsManager.performAction(draginfo, chardaten, rRoll);
	ActionNormProbe.performRoll(draginfo, chardaten, namen, modwert, nil, false);
	return true;
end