function onInit()
	if User.isHost() then
		local tabellevorhanden = false;
		local tabellenhauptknoten = DB.findNode("tables");
		if tabellenhauptknoten then
			for v,k in pairs(tabellenhauptknoten.getChildren()) do
				if k.getChild("name") then
					if k.getChild("name").getValue() == "Trefferzone" then
						tabellevorhanden = true;
						if k.isPublic() == false then
							k.setPublic(true);
						end
					end
				end
			end
		else
			tabellenhauptknoten = DB.getRoot().createChild("tables");
		end
		if tabellevorhanden == false then
			local neuertabelleneintrag = tabellenhauptknoten.createChild();
			trefferzoneanlegen(neuertabelleneintrag);
			neuertabelleneintrag.setPublic(true);
		end
	end
end

function trefferzoneanlegen(tabellenknoten)
	local namensknoten = tabellenknoten.createChild("name", "string");
	namensknoten.setValue("Trefferzone");
	local beschreibungsknoten = tabellenknoten.createChild("description", "string");
	beschreibungsknoten.setValue("Tabelle zur Ermittung der Trefferzone.\n\nWICHTIG!\nDiese Tabelle wird bei jedem Neustart neu erstellt und allen zug\228nglich gemacht, wenn sie gel\246scht, umbenannt oder nicht mehr mit den SpielerInnen geteilt wurde. \nWenn Sie diese Tabelle in der aktuellen Sitzung l\246schen, umbenennen oder nicht mehr mit den SpielerInnen teilen, so f\252hrt dies dazu, dass der Trefferzonenw\252rfel im Charakterbogen nicht mehr richtig funktioniert.");
	local reihenknoten = tabellenknoten.createChild("tablerows", "");
	for ziffer,eintraege in pairs(DataCommon.trefferzone) do
		local eintragsknoten = reihenknoten.createChild();
		local vonknoten = eintragsknoten.createChild("fromrange", "number");
		local bisknoten = eintragsknoten.createChild("torange", "number");
		vonknoten.setValue(eintraege.von);
		bisknoten.setValue(eintraege.bis);
		local ergebnisseknoten = eintragsknoten.createChild("results", "");
		local ergebniszaehlknoten = ergebnisseknoten.createChild();
		local ergebnisknoten = ergebniszaehlknoten.createChild("result", "string");
		ergebnisknoten.setValue(eintraege.name);
	end
end