-- 
-- Please see the license.html file included with this distribution for 
-- attribution and copyright information.
--

--Lule: Entspricht der Datei aus dem Core-Ruleset, Änderungen wurden kommentiert.

-- Ruleset action types
actions = {
	["dice"] = { bUseModStack = "true" },
	["table"] = { },
	["effect"] = { sIcon = "action_effect", sTargeting = "all" },
	["normProbe"] = { sTargeting = "each", bUseModStack = "true" },
};

targetactions = {
	"effect",
	"normProbe",
};

function getCharSelectDetailHost(nodeChar) --Lule: Aus 4e-Ruleset Release 26 kopiert und angepasst.
	local sValue = DB.getValue(nodeChar, "beschreibung.klasse", "");
	return sValue;
end

function requestCharSelectDetailClient()
	return "name,beschreibung.klasse"; --Lule: Ergänzt durch Klasse.
end

function receiveCharSelectDetailClient(vDetails) --Lule: Aus 4e-Release 26 kopiert.
	local aVisibleLabels = {};
	if vDetails[2] and vDetails[2] ~= "" then
		table.insert(aVisibleLabels, vDetails[2]);
	end
	if vDetails[3] and vDetails[3] ~= 0 then
		table.insert(aVisibleLabels, vDetails[3]);
	end

	return vDetails[1], table.concat(aVisibleLabels, " ");
end

function getCharSelectDetailLocal(nodeLocal) --Lule: Aus 4e-Release 26 kopiert, angepasst und ergänzt durch Klasse.
	local vDetails = {};
	table.insert(vDetails, DB.getValue(nodeLocal, "name", ""));
	table.insert(vDetails, DB.getValue(nodeLocal, "beschreibung.klasse", ""));
	table.insert(vDetails, DB.getValue(nodeLocal, "level", 0));
	return receiveCharSelectDetailClient(vDetails);
end

function getDistanceUnitsPerGrid()
	return 1;
end